% TRACK_COMPLEX - test track for the prototype solution for the
%   software development practical course at the Institute of Scientific
%   Computing, TU Braunschweig.
%
% Returns:
%      x,y,z - the x, y, and z values of the rollercoaster nodes
%
% File        : track_complex.m
% Date        : 2009-03-09
% Author      : Oliver Kayser-Herold, Andreas Keese, Markus Krosche Martin
%               Krosche, Oliver Pajonk

% Rollercoaster Prototype - A MATLAB rollercoaster
% Copyright (C) 2009  Oliver Kayser-Herold, Andreas Keese, Markus Krosche Martin
%               Krosche, Oliver Pajonk
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

function [x, y, z] = track_complex()
x(1:11) = [70  115 150 170   180 195.5 200 195.5 180 164.5 160];
y(1:11) = [200 200 200 197.5 195 192.5 190 187.5 185 182.5 180];
z(1:11) = [50  15  0   -1    0   8     20  30    40  30    20];

x(12:21) = [164.5 178   200   250 275 290 300 300 300 300];
y(12:21) = [177.5 180.0 182.5 200 190 175 150 130 115 105];
z(12:21) = [10    -1    2     20  30  35  40  40  30  15];

x(22:31) = [300 300 300 300 290 275 250 220 205.5 200];
y(22:31) = [95  85  70  50  25  10  0   0   2.5   5.0];
z(22:31) = [10  15  30  40  40  40  40  40  30    20];

x(32:41) = [205.5 220 234.5 240 236.5 210 150 90 50 25];
y(32:41) = [7.5   10  12.5  15  17.5  20  -10 0  0  10];
z(32:41) = [10    0   8     16  24    35  32  32 32 32];

x(42:51) = [10   0  0   17  40  45  20  0   -20 -45];
y(42:51) = [25.0 50 100 130 137 117 103 100 103 117];
z(42:51) = [32   32 32  30  28  26  24  22  20  18];

x(52:61) = [-40 -17 0   -17 -40 -45 -20 0   20 45];
y(52:61) = [137 130 100 70  63  83  97  100 97 83];
z(52:61) = [16  14  13  14  15  16  17  18  20 22];

x(62:68) = [40 17 0   0   10  25  50];
y(62:68) = [63 70 100 150 175 190 200];
z(62:68) = [24 25 27  35  45  52  50];
