% TRACK_TEST_TRACK - test track for the prototype solution for the
%   software development practical course at the Institute of Scientific
%   Computing, TU Braunschweig.
%
% Returns:
%      x,y,z - the x, y, and z values of the rollercoaster nodes
%
% File        : track_test_track.m
% Date        : 2009-03-09
% Author      : Oliver Pajonk

% Rollercoaster Prototype - A MATLAB rollercoaster
% Copyright (C) 2009  Oliver Pajonk
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

function [x,y,z] = track_test_track()
x = [0 1 1 0 -1 -2 -2 -1];
y = [0 1 2 3 3 2 1 0];
z = [0 1 2 3 4 3 2 1];
